package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.SBidDataTextMapper;
import com.ruoyi.business.domain.SBidDataText;
import com.ruoyi.business.service.ISBidDataTextService;
import com.ruoyi.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class SBidDataTextServiceImpl implements ISBidDataTextService 
{
    @Autowired
    private SBidDataTextMapper sBidDataTextMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param bidId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public SBidDataText selectSBidDataTextByBidId(String bidId)
    {
        return sBidDataTextMapper.selectSBidDataTextByBidId(bidId);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sBidDataText 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SBidDataText> selectSBidDataTextList(SBidDataText sBidDataText)
    {
        return sBidDataTextMapper.selectSBidDataTextList(sBidDataText);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param sBidDataText 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSBidDataText(SBidDataText sBidDataText)
    {
        return sBidDataTextMapper.insertSBidDataText(sBidDataText);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param sBidDataText 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSBidDataText(SBidDataText sBidDataText)
    {
        return sBidDataTextMapper.updateSBidDataText(sBidDataText);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param bidIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSBidDataTextByBidIds(String bidIds)
    {
        return sBidDataTextMapper.deleteSBidDataTextByBidIds(Convert.toStrArray(bidIds));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param bidId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSBidDataTextByBidId(String bidId)
    {
        return sBidDataTextMapper.deleteSBidDataTextByBidId(bidId);
    }
}
